import { __extends } from "tslib";
import { DeleteSubnetCidrReservationRequest, DeleteSubnetCidrReservationResult } from "../models/models_2";
import { deserializeAws_ec2DeleteSubnetCidrReservationCommand, serializeAws_ec2DeleteSubnetCidrReservationCommand, } from "../protocols/Aws_ec2";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
/**
 * <p>Deletes a subnet CIDR reservation.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { EC2Client, DeleteSubnetCidrReservationCommand } from "@aws-sdk/client-ec2"; // ES Modules import
 * // const { EC2Client, DeleteSubnetCidrReservationCommand } = require("@aws-sdk/client-ec2"); // CommonJS import
 * const client = new EC2Client(config);
 * const command = new DeleteSubnetCidrReservationCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DeleteSubnetCidrReservationCommandInput} for command's `input` shape.
 * @see {@link DeleteSubnetCidrReservationCommandOutput} for command's `response` shape.
 * @see {@link EC2ClientResolvedConfig | config} for command's `input` shape.
 *
 */
var DeleteSubnetCidrReservationCommand = /** @class */ (function (_super) {
    __extends(DeleteSubnetCidrReservationCommand, _super);
    // Start section: command_properties
    // End section: command_properties
    function DeleteSubnetCidrReservationCommand(input) {
        var _this = 
        // Start section: command_constructor
        _super.call(this) || this;
        _this.input = input;
        return _this;
        // End section: command_constructor
    }
    /**
     * @internal
     */
    DeleteSubnetCidrReservationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "EC2Client";
        var commandName = "DeleteSubnetCidrReservationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteSubnetCidrReservationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteSubnetCidrReservationResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteSubnetCidrReservationCommand.prototype.serialize = function (input, context) {
        return serializeAws_ec2DeleteSubnetCidrReservationCommand(input, context);
    };
    DeleteSubnetCidrReservationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_ec2DeleteSubnetCidrReservationCommand(output, context);
    };
    return DeleteSubnetCidrReservationCommand;
}($Command));
export { DeleteSubnetCidrReservationCommand };
//# sourceMappingURL=DeleteSubnetCidrReservationCommand.js.map